cURL
curl --request PUT \
--url https://cockroachlabs.cloud/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"active":true,"emails":[{"display":"croach@example.com","primary":true,"type":"work","value":"croach@example.com"}],"name":{"familyName":"Roach","givenName":"Carl"},"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"]}'{
"id": "<string>",
"schemas": [
"<string>"
],
"active": true,
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"display": "<string>",
"primary": true,
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"userName": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization scope:
- ORG_ADMIN
PUT
/
api
/
scim
/
v2
/
Users
/
{id}
cURL
curl --request PUT \
--url https://cockroachlabs.cloud/api/scim/v2/Users/{id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"active":true,"emails":[{"display":"croach@example.com","primary":true,"type":"work","value":"croach@example.com"}],"name":{"familyName":"Roach","givenName":"Carl"},"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"]}'{
"id": "<string>",
"schemas": [
"<string>"
],
"active": true,
"displayName": "<string>",
"emails": [
{
"value": "<string>",
"display": "<string>",
"primary": true,
"type": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"type": "<string>",
"value": "<string>"
}
],
"meta": {
"created": "<string>",
"lastModified": "<string>",
"location": "<string>",
"resourceType": "<string>"
},
"name": {
"familyName": "<string>",
"givenName": "<string>"
},
"userName": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
A successful response.

